<script setup lang="ts">
const formData = ref({
  config: {
    formId: 1077,
    formName: 'blog-subscription',
  },
  formHeader: 'Stay in the know with GitLab’s monthly newsletter',
});
</script>

<template>
  <SlpContainer variant="light-purple-100">
    <CommonMktoForm v-bind="formData" class="newsletter-form" />
  </SlpContainer>
</template>

<style lang="scss" scoped>
.newsletter-form {
  padding: 48px 0;
  :deep(.form_container) {
    background-color: transparent !important;
    border: none !important;
    padding: 0 !important;
    margin-bottom: 0;
  }
  :deep(.form_header) {
    color: $color-text-300;
    font-size: 40px;
    font-weight: 600;
    line-height: 40px;
    letter-spacing: -0.96px;
    text-align: left;
  }
  :deep(.required_label) {
    display: none;
  }

  :deep(#mktoForm_1077) {
    display: flex !important;
    flex-wrap: wrap !important;
    margin-top: 8px !important;

    #LblEmail {
      font-size: 16px;
      line-height: 20px;
      color: #000;
      font-weight: 400;
      margin-bottom: 8px;
      width: 100%;
    }

    #LblCountry {
      font-size: 16px;
      line-height: 20px;
      color: #000;
      font-weight: 400;
      margin-bottom: 8px;
      width: 100%;
    }

    #Country {
      width: 342px !important;
      margin-right: 16px;
      @media (max-width: $breakpoint-lg) {
        width: 100% !important;
      }
    }

    .mktoGutter.mktoHasWidth {
      display: none;
    }

    .mktoOffset.mktoHasWidth {
      display: none;
    }

    .mktoHtmlText.mktoHasWidth {
      color: var(--slp-color-text-300, #171321);
      margin-top: 16px;
      font-size: 14px;
      font-weight: 400;
      line-height: 20px;
    }

    .mktoField.mktoEmailField {
      height: 44px;

      @media (min-width: $breakpoint-lg) {
        width: 342px !important;
        margin-right: 16px;
      }
    }

    .mktoFieldWrap.mktoRequiredField {
      display: flex;
      flex-direction: column;
    }
    .mktoErrorMsg {
      color: red !important;
    }
    .mktoInvalid {
      border: 1px solid red !important;
    }
    .mktoButton {
      width: 174px !important;
    }

    .mktoFormRow:nth-of-type(1),
    .mktoFormRow:nth-of-type(2) {
      flex: 1 0 100% !important;
      width: 100% !important;
      @media (min-width: $breakpoint-md) {
        flex: 0 0 50% !important;
        width: 50% !important;
        max-width: 360px !important;
      }
    }

    .mktoFormRow:nth-of-type(1) {
      margin-right: 16px !important;
    }

    .mktoButton {
      margin-bottom: 0 !important;
    }
  }
  //  :deep(#LblCountry) {
  //  font-size: 16px;
  //  line-height: 20px;
  //  color: #000;
  //  font-weight: 400;
  //  margin-bottom: 8px;
  //  width: 100%;
  // }
  // :deep(#Country) {
  //   width: 342px !important;
  //   margin-right: 16px;
  //   @media (max-width: $breakpoint-lg) {
  //     width: 100% !important;
  //   }
  // }
  // :deep(.mktoGutter.mktoHasWidth) {
  //   display: none;
  // }
  // :deep(.mktoOffset.mktoHasWidth) {
  //   display: none;
  // }
  // :deep(.mktoHtmlText.mktoHasWidth) {
  //   color: var(--slp-color-text-300, #171321);
  //   margin-top: 16px;
  //   font-size: 14px;
  //   font-weight: 400;
  //   line-height: 20px;
  //  }

  // :deep(.mktoField.mktoEmailField) {
  //   height: 44px;
  //
  //   @media (min-width: $breakpoint-lg) {
  //     width: 342px !important;
  //     margin-right: 16px;
  //   }
  // }
  // :deep(.mktoFieldWrap.mktoRequiredField) {
  //   display: flex;
  //   flex-direction: column;
  // }
  // :deep(.mktoErrorMsg) {
  //   color: red !important;
  // }
  // :deep(.mktoInvalid) {
  //   border: 1px solid red !important;
  // }
  // :deep(.mktoButton) {
  //   width: 174px !important;
  // }
  // :deep(.mktoForm) {
  //   display: flex;
  //   flex-wrap: wrap;
  //   margin-top: 8px;
  // }
  // :deep(.mktoForm .mktoFormRow) {
  //   :nth-of-type(1),
  //   :nth-of-type(2) {
  //     flex: 1 0 100%;
  //     width: 100%;
  //     @media (min-width: $breakpoint-md) {
  //       flex: 0 0 50%;
  //       width: 50%;
  //       max-width: 360px;
  //     }
  //   }
  //   :nth-of-type(1) {
  //     margin-right: 16px;
  //   }
  // }
  // .mktoButton {
  //   margin-bottom: 0;
  // }
}
</style>
